Loading...
Searching...
No Matches
gsm0808_vgcs_vbs_assign_res Struct Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

3GPP TS 48.008 §3.2.1.54 VGCS/VBS ASSIGNMENT RESULT More...

`#include <gsm0808.h>`

## Data Fields

struct gsm0808_channel_type | channel_type
struct gsm0808_cell_id | cell_identifier
bool | chosen_channel_present
uint8_t | chosen_channel
bool | cic_present
uint16_t | cic
bool | circuit_pool_present
uint8_t | circuit_pool
bool | aoip_transport_layer_present
struct sockaddr_storage | aoip_transport_layer
bool | codec_present
struct gsm0808_speech_codec | codec_msc_chosen
bool | call_id_present
uint32_t | call_id

## Detailed Description

3GPP TS 48.008 §3.2.1.54 VGCS/VBS ASSIGNMENT RESULT

## Field Documentation

## aoip_transport_layer

struct sockaddr_storage gsm0808_vgcs_vbs_assign_res::aoip_transport_layer

## aoip_transport_layer_present

bool gsm0808_vgcs_vbs_assign_res::aoip_transport_layer_present

## call_id

uint32_t gsm0808_vgcs_vbs_assign_res::call_id

## call_id_present

bool gsm0808_vgcs_vbs_assign_res::call_id_present

## cell_identifier

struct gsm0808_cell_id gsm0808_vgcs_vbs_assign_res::cell_identifier

## channel_type

struct gsm0808_channel_type gsm0808_vgcs_vbs_assign_res::channel_type

## chosen_channel

uint8_t gsm0808_vgcs_vbs_assign_res::chosen_channel

## chosen_channel_present

bool gsm0808_vgcs_vbs_assign_res::chosen_channel_present

## cic

uint16_t gsm0808_vgcs_vbs_assign_res::cic

## cic_present

bool gsm0808_vgcs_vbs_assign_res::cic_present

## circuit_pool

uint8_t gsm0808_vgcs_vbs_assign_res::circuit_pool

## circuit_pool_present

bool gsm0808_vgcs_vbs_assign_res::circuit_pool_present

## codec_msc_chosen

struct gsm0808_speech_codec gsm0808_vgcs_vbs_assign_res::codec_msc_chosen

## codec_present

bool gsm0808_vgcs_vbs_assign_res::codec_present

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0808.h